软件更新   

PostgreSQL 全系版本更新,强烈要求升级!

时间:2012-09-24 00:03:36

PostgreSQL 全球开发组发布了当前 PostgreSQL 所有版本的更新,包括 9.2.1, 9.1.6, 9.0.10, 8.4.14 和 8.3.21.

该版本修复了 9.1 和 9.2 中存在的关键问题,如果你正在使用这两个版本请立即更新,而 8.3、8.4 和 9.0 用户应该尽快制定停机更新的准备计划。

这个更新修复了两个潜在的数据破坏的问题,这两个问题影响 9.1 和 9.2 版本,当服务器崩溃、使用“immediate” 方式关机或者故障时无法转到待机服务器时候发生。首先开发组发现了会破坏 BTREE 和 GIN 索引,其次破坏可视图(visibility map).而这次更新就是为了修复这两个问题。

我们强烈建议使用 9.1 和 9.2 的用户在升级完运行 VACUUM 或者构建索引,详情请看 the 2012-09-24 Update wiki page

这次更新还包含修复了一些小问题,包括最新发布的 9.2 版本中的问题,列表如下:

  • fix sorting issue with IN lists and indexes
  • fix planner failure when combining GROUP BY with window functions
  • improve selectivity of text searches using prefixes
  • prevent rescanning of WITH clauses from giving wrong answers
  • fix PL/Perl crashing issue
  • reduce bloat for multi-column GiST indexes
  • time zone data changes for Fiji
  • disallow Extensions from circular schema assignment
  • prevent crashes when default_transaction_isolation is set to "serializable"
  • several minor fixes to pg_upgrade

要使用这些更新,只需要关闭数据库,更新二进制文件并重启即可。而如果是跨版本的升级,例如 9.1 到 9.2 这样就必须导出数据后升级再重新导入,或者使用 pg_upgrade。如果跨越的版本太多则需自行附加的更新后操作,详情请看发行说明。

相关链接:

 

来源:开源中国社区 [http://www.oschina.net]

Notice: Constant RUNTIME already defined in /srv/html/srccn/news/config.php on line 15 Notice: Constant ROOTDIR already defined in /srv/html/srccn/news/config.php on line 16 Notice: Constant SITEDIR already defined in /srv/html/srccn/news/config.php on line 17 Notice: Constant DATAURL already defined in /srv/html/srccn/news/config.php on line 20 Notice: Constant VERSION already defined in /srv/html/srccn/news/system/kernel.php on line 17 Notice: Constant COREDIR already defined in /srv/html/srccn/news/system/kernel.php on line 18 Fatal error: require(): Cannot redeclare class mysql in /srv/html/srccn/news/system/kernel.php on line 22